Team Management
POST
/v1/orgs/{org_id}/team/membersInvite Member
Admin tokenscope: org:adminoperation_id: team.inviteMember
Authentication
Create via POST /v1/orgs/{org_id}/tokens/admin. Org-wide scope — keep tightly held.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Request bodyrequired
| Field | Type | Required | Description |
|---|---|---|---|
| string | required | — | |
| role | string | optional | — |
| project_id | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 201 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
org_idrequiredstring
user_emailrequiredstring
rolerequiredstring
project_idstring | null
invited_bystring | null
accepted_atstring | null
created_atrequiredstring
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have the required role (admin / editor). | — |
| 404 | Target resource does not exist in this org. | — |
| 422 | Request body failed validation. | — |
Request
curl -X POST 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/team/members' \
-H 'Authorization: Bearer $ZNYX_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"email": "string",
"role": "viewer",
"project_id": null
}'Response
application/json
Successful Response
{
"id": "string",
"org_id": "string",
"user_email": "string",
"role": "string",
"project_id": null,
"invited_by": null,
"accepted_at": null,
"created_at": "string"
}Schema: object